/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




// ----------------------------------------------------------------
// Sample captured at: 2015-10-08 12:35:00 local, 2015-10-08 19:35:00 GMT
AlgDlsMinuteData *activity_sample_2015_10_08_12_35_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_27921
  //> TEST_VERSION 2
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT 1090
  //> TEST_END_AT_MIN 1080
  //> TEST_END_AT_MAX 1100
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, ligh}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x0, 0, 0x2},
    { 9, 0x7d, 1496, 0x0},
    { 12, 0x6e, 2008, 0x0},
    { 0, 0x5f, 1593, 0x0},
    { 0, 0x5f, 1512, 0x0},
    { 12, 0x4f, 1978, 0x0},
    { 0, 0x7f, 1835, 0x0},
    { 0, 0x56, 5637, 0x0},
    { 0, 0x34, 6381, 0x0},
    { 0, 0x44, 5132, 0x0},
    { 33, 0x35, 5612, 0x0},
    { 70, 0x14, 4200, 0x0},
    { 97, 0x14, 5214, 0x0},
    { 107, 0x23, 5569, 0x0},
    { 108, 0x22, 5624, 0x0},
    // 15: Local time: 12:50:00 PM
    { 109, 0x23, 6606, 0x0},
    { 108, 0x23, 6810, 0x0},
    { 111, 0x23, 7086, 0x0},
    { 100, 0x13, 6398, 0x0},
    { 109, 0x23, 7000, 0x0},
    { 108, 0x23, 7500, 0x0},
    { 75, 0x47, 7494, 0x0},
    { 79, 0x47, 6491, 0x0},
    { 7, 0x35, 4608, 0x0},
    { 0, 0x43, 7062, 0x0},
    { 0, 0x64, 4083, 0x0},
    { 11, 0x43, 5342, 0x0},
    { 0, 0x54, 1212, 0x0},
    { 20, 0x44, 2807, 0x0},
    { 0, 0x52, 3184, 0x0},
    // 30: Local time: 01:05:00 PM
    { 6, 0x52, 1515, 0x0},
    { 12, 0x52, 3288, 0x0},
    { 0, 0x51, 1882, 0x0},
    { 0, 0x76, 90, 0x0},
    { 0, 0x62, 1332, 0x0},
    { 0, 0x51, 908, 0x0},
    { 0, 0x4f, 481, 0x0},
    { 0, 0x40, 186, 0x0},
    { 0, 0x4f, 384, 0x0},
    { 0, 0x4f, 156, 0x0},
    { 0, 0x5f, 288, 0x0},
    { 0, 0x51, 922, 0x0},
    { 0, 0x51, 818, 0x0},
    { 0, 0x5f, 355, 0x0},
    { 0, 0x5f, 654, 0x0},
    // 45: Local time: 01:20:00 PM
    { 0, 0x61, 1149, 0x0},
    { 0, 0x5f, 753, 0x0},
    { 0, 0x7f, 1148, 0x0},
    { 0, 0x70, 2486, 0x0},
    { 7, 0x71, 544, 0x0},
    { 0, 0x64, 518, 0x0},
    { 8, 0x64, 720, 0x0},
    { 0, 0x54, 261, 0x0},
    { 0, 0x53, 0, 0x0},
    { 0, 0x54, 1104, 0x0},
    { 0, 0x62, 1215, 0x0},
    { 0, 0x6f, 1194, 0x0},
    { 0, 0x53, 695, 0x0},
    { 0, 0x65, 214, 0x0},
    { 0, 0x64, 1741, 0x0},
    // 60: Local time: 01:35:00 PM
    { 0, 0x54, 340, 0x0},
    { 0, 0x64, 590, 0x0},
    { 0, 0x45, 368, 0x0},
    { 0, 0x44, 1102, 0x0},
    { 0, 0x6f, 1198, 0x0},
    { 0, 0x6f, 731, 0x0},
    { 9, 0x79, 1721, 0x0},
    { 11, 0x66, 1280, 0x0},
    { 0, 0x55, 649, 0x0},
    { 0, 0x65, 232, 0x0},
    { 0, 0x55, 239, 0x0},
    { 0, 0x60, 553, 0x0},
    { 0, 0x5f, 609, 0x0},
    { 0, 0x6f, 1093, 0x0},
    { 0, 0x63, 1762, 0x0},
    // 75: Local time: 01:50:01 PM
    { 0, 0x7c, 1157, 0x0},
    { 0, 0x66, 828, 0x0},
    { 0, 0x66, 111, 0x0},
    { 0, 0x65, 1207, 0x0},
    { 0, 0x44, 1586, 0x0},
    { 0, 0x44, 1462, 0x0},
    { 0, 0x13, 407, 0x0},
    { 0, 0x32, 1367, 0x0},
    { 0, 0x43, 1437, 0x0},
    { 0, 0x33, 4841, 0x0},
    { 6, 0x44, 3164, 0x0},
    { 0, 0x4f, 831, 0x0},
    { 0, 0x40, 520, 0x0},
    { 0, 0x41, 1203, 0x0},
    { 0, 0x34, 2304, 0x0},
    // 90: Local time: 02:05:00 PM
    { 0, 0x61, 432, 0x0},
    { 0, 0x34, 1731, 0x0},
    { 0, 0x74, 1860, 0x0},
    { 0, 0x75, 227, 0x0},
    { 0, 0x75, 66, 0x0},
    { 0, 0x75, 478, 0x0},
    { 0, 0x76, 1207, 0x0},
    { 7, 0x74, 855, 0x0},
    { 0, 0x79, 1540, 0x0},
    { 6, 0x78, 1628, 0x0},
    { 0, 0x76, 1324, 0x0},
    { 0, 0x55, 1157, 0x0},
    { 0, 0x57, 404, 0x0},
    { 11, 0x46, 1124, 0x0},
    { 0, 0x46, 0, 0x0},
    // 105: Local time: 02:20:00 PM
    { 0, 0x55, 408, 0x0},
    { 0, 0x65, 81, 0x0},
    { 0, 0x75, 445, 0x0},
    { 0, 0x65, 244, 0x0},
    { 0, 0x65, 28, 0x0},
    { 0, 0x65, 148, 0x0},
    { 0, 0x76, 442, 0x0},
    { 0, 0x64, 1305, 0x0},
    { 0, 0x35, 131, 0x0},
    { 0, 0x34, 605, 0x0},
    { 0, 0x33, 1249, 0x0},
    { 0, 0x35, 3901, 0x0},
    { 0, 0x44, 9895, 0x0},
    { 42, 0x33, 4573, 0x0},
    { 0, 0x25, 2832, 0x0},
    // 120: Local time: 02:35:00 PM
    { 0, 0x16, 2678, 0x0},
    { 97, 0x48, 9102, 0x0},
    { 93, 0x47, 8471, 0x0},
    { 0, 0x48, 161, 0x0},
    { 6, 0x57, 927, 0x0},
    { 23, 0x67, 5205, 0x0},
    { 6, 0x24, 5317, 0x0},
    { 0, 0x22, 3032, 0x0},
    { 0, 0x33, 7796, 0x0},
    { 0, 0x35, 5803, 0x0},
    { 0, 0x43, 4170, 0x0},
    { 6, 0x45, 5541, 0x0},
    { 12, 0x37, 6213, 0x0},
    { 0, 0x35, 5652, 0x0},
    { 0, 0x44, 3858, 0x0},
    // 135: Local time: 02:50:00 PM
    { 12, 0x24, 4974, 0x0},
    { 15, 0x6, 1821, 0x0},
    { 66, 0x19, 3883, 0x0},
    { 85, 0x47, 6812, 0x0},
    { 18, 0x47, 7706, 0x0},
    { 79, 0x47, 5745, 0x0},
    { 94, 0x48, 7846, 0x0},
    { 102, 0x47, 8450, 0x0},
    { 82, 0x37, 9260, 0x0},
    { 101, 0x43, 7259, 0x0},
    { 113, 0x43, 8199, 0x0},
    { 115, 0x43, 8125, 0x0},
    { 75, 0x34, 10402, 0x0},
    { 109, 0x47, 9390, 0x0},
    { 203, 0x46, 15932, 0x0},
    // 150: Local time: 03:06:00 PM
    { 103, 0x46, 9039, 0x0},
    { 73, 0x47, 10673, 0x0},
    { 22, 0x34, 4906, 0x0},
    { 0, 0x34, 2819, 0x0},
    { 0, 0x53, 5003, 0x0},
    { 0, 0x53, 1130, 0x0},
    { 0, 0x53, 688, 0x0},
    { 0, 0x52, 158, 0x0},
    { 0, 0x52, 596, 0x0},
    { 0, 0x42, 781, 0x0},
    { 0, 0x34, 25, 0x0},
    { 0, 0x53, 1184, 0x0},
    { 0, 0x52, 60, 0x0},
    { 0, 0x54, 1326, 0x0},
    { 0, 0x70, 663, 0x0},
    // 165: Local time: 03:21:00 PM
    { 0, 0x51, 356, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x51, 1770, 0x0},
    { 16, 0x50, 1589, 0x0},
    { 8, 0x54, 4228, 0x0},
    { 0, 0x43, 4701, 0x0},
    { 0, 0x52, 3011, 0x0},
    { 9, 0x55, 4820, 0x0},
    { 0, 0x48, 1512, 0x0},
    { 0, 0x36, 7539, 0x0},
    { 0, 0x25, 5683, 0x0},
    { 43, 0x34, 4173, 0x0},
    { 0, 0x43, 1875, 0x0},
    { 0, 0x43, 969, 0x0},
    // 180: Local time: 03:36:00 PM
    { 10, 0x33, 2585, 0x0},
    { 0, 0x34, 1787, 0x0},
    { 0, 0x23, 1673, 0x0},
    { 0, 0x23, 1098, 0x0},
    { 0, 0x32, 4333, 0x0},
    { 0, 0x34, 48, 0x0},
    { 0, 0x33, 1358, 0x0},
    { 0, 0x51, 1522, 0x0},
    { 0, 0x73, 68, 0x0},
    { 0, 0x70, 248, 0x0},
    { 0, 0x72, 2650, 0x0},
    { 0, 0x75, 2564, 0x0},
    { 9, 0x64, 1090, 0x0},
    { 0, 0x63, 11, 0x0},
    { 0, 0x63, 17, 0x0},
    // 195: Local time: 03:51:00 PM
    { 0, 0x63, 51, 0x0},
    { 0, 0x63, 81, 0x0},
    { 0, 0x62, 432, 0x0},
    { 0, 0x63, 1303, 0x0},
    { 0, 0x62, 210, 0x0},
    { 0, 0x51, 2442, 0x0},
    { 0, 0x63, 565, 0x0},
    { 0, 0x63, 3293, 0x0},
    { 0, 0x63, 2628, 0x0},
    { 0, 0x63, 787, 0x0},
    { 0, 0x64, 714, 0x0},
    { 0, 0x63, 189, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x63, 128, 0x0},
    { 0, 0x63, 381, 0x0},
    // 210: Local time: 04:06:00 PM
    { 0, 0x63, 87, 0x0},
    { 0, 0x63, 28, 0x0},
    { 0, 0x62, 970, 0x0},
    { 0, 0x63, 324, 0x0},
    { 0, 0x63, 877, 0x0},
    { 7, 0x60, 2388, 0x0},
    { 0, 0x6f, 555, 0x0},
    { 0, 0x5f, 1308, 0x0},
    { 0, 0x78, 3171, 0x0},
    { 0, 0x65, 1071, 0x0},
    { 0, 0x64, 816, 0x0},
    { 0, 0x63, 29, 0x0},
    { 0, 0x63, 449, 0x0},
    { 0, 0x61, 1530, 0x0},
    { 0, 0x51, 671, 0x0},
    // 225: Local time: 04:21:00 PM
    { 0, 0x62, 1712, 0x0},
    { 0, 0x53, 152, 0x0},
    { 0, 0x64, 2246, 0x0},
    { 0, 0x53, 3417, 0x0},
    { 0, 0x44, 4758, 0x0},
    { 0, 0x54, 7259, 0x0},
    { 50, 0x46, 9004, 0x0},
    { 103, 0x47, 7509, 0x0},
    { 106, 0x47, 6574, 0x0},
    { 122, 0x48, 7277, 0x0},
    { 104, 0x47, 6488, 0x0},
    { 86, 0x38, 6840, 0x0},
    { 114, 0x47, 7050, 0x0},
    { 105, 0x48, 7016, 0x0},
    { 121, 0x48, 6833, 0x0},
    // 240: Local time: 04:36:00 PM
    { 37, 0x22, 3196, 0x0},
    { 0, 0x11, 352, 0x0},
    { 6, 0x26, 3402, 0x0},
    { 0, 0x48, 2838, 0x0},
    { 0, 0x25, 1067, 0x0},
    { 6, 0x24, 5165, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x24, 469, 0x0},
    { 9, 0x34, 303, 0x0},
    { 0, 0x34, 72, 0x0},
    { 0, 0x34, 984, 0x0},
    { 0, 0x24, 63, 0x0},
    { 0, 0x24, 472, 0x0},
    { 16, 0x31, 3264, 0x0},
    { 0, 0x35, 1206, 0x0},
    // 255: Local time: 04:51:00 PM
    { 66, 0x46, 5757, 0x0},
    { 110, 0x33, 9466, 0x0},
    { 106, 0x33, 8009, 0x0},
    { 112, 0x33, 8252, 0x0},
    { 111, 0x33, 7740, 0x0},
    { 111, 0x33, 7907, 0x0},
    { 114, 0x33, 8356, 0x0},
    { 19, 0x23, 5600, 0x0},
    { 0, 0x12, 794, 0x0},
    { 0, 0x24, 2449, 0x0},
    { 0, 0x25, 2069, 0x0},
    { 6, 0x25, 6908, 0x0},
    { 10, 0x33, 3898, 0x0},
    { 0, 0x32, 82, 0x0},
    { 0, 0x32, 0, 0x0},
    // 270: Local time: 05:06:00 PM
    { 0, 0x32, 23, 0x0},
    { 0, 0x32, 0, 0x0},
    { 0, 0x32, 0, 0x0},
    { 0, 0x32, 0, 0x0},
    { 0, 0x32, 0, 0x0},
    { 0, 0x43, 355, 0x0},
    { 0, 0x53, 38, 0x0},
    { 9, 0x23, 4413, 0x0},
    { 0, 0x22, 2502, 0x0},
    { 0, 0x22, 269, 0x0},
    { 0, 0x22, 361, 0x0},
    { 0, 0x22, 202, 0x0},
    { 0, 0x23, 1280, 0x0},
    { 0, 0x31, 45, 0x0},
    { 0, 0x32, 836, 0x0},
    // 285: Local time: 05:21:00 PM
    { 0, 0x32, 673, 0x0},
    { 0, 0x31, 272, 0x0},
    { 0, 0x32, 495, 0x0},
    { 0, 0x23, 108, 0x0},
    { 0, 0x23, 0, 0x0},
    { 0, 0x23, 14, 0x0},
    { 0, 0x23, 0, 0x0},
    { 0, 0x32, 118, 0x0},
    { 0, 0x32, 0, 0x0},
    { 0, 0x32, 76, 0x0},
    { 0, 0x41, 0, 0x0},
    { 0, 0x41, 97, 0x0},
    { 0, 0x41, 0, 0x0},
    { 0, 0x41, 11, 0x0},
    { 0, 0x41, 0, 0x0},
    // 300: Local time: 05:36:00 PM
    { 0, 0x31, 0, 0x0},
    { 0, 0x44, 380, 0x0},
    { 0, 0x0, 0, 0x2},
    { 0, 0x44, 0, 0x0},
    { 0, 0x41, 167, 0x0},
    { 0, 0x32, 328, 0x0},
    { 0, 0x34, 38, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x32, 504, 0x0},
    { 0, 0x32, 139, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 124, 0x0},
    { 0, 0x33, 96, 0x0},
    { 0, 0x32, 56, 0x0},
    { 0, 0x31, 28, 0x0},
    // 315: Local time: 05:50:00 PM
    { 0, 0x31, 306, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x34, 608, 0x0},
    { 0, 0x33, 239, 0x0},
    { 0, 0x31, 59, 0x0},
    { 0, 0x31, 390, 0x0},
    { 0, 0x31, 383, 0x0},
    // 330: Local time: 06:05:00 PM
    { 0, 0x41, 327, 0x0},
    { 0, 0x41, 346, 0x0},
    { 0, 0x41, 483, 0x0},
    { 0, 0x31, 269, 0x0},
    { 0, 0x31, 143, 0x0},
    { 0, 0x31, 506, 0x0},
    { 6, 0x14, 1440, 0x0},
    { 0, 0x34, 5206, 0x0},
    { 6, 0x54, 3213, 0x0},
    { 62, 0x56, 4035, 0x0},
    { 84, 0x47, 5394, 0x0},
    { 47, 0x56, 3951, 0x0},
    { 30, 0x43, 2459, 0x0},
    { 93, 0x46, 6316, 0x0},
    { 37, 0x23, 6355, 0x0},
    // 345: Local time: 06:20:00 PM
    { 72, 0x36, 5484, 0x0},
    { 19, 0x37, 3769, 0x0},
    { 0, 0x37, 6517, 0x0},
    { 10, 0x23, 6112, 0x0},
    { 11, 0x33, 3865, 0x0},
    { 12, 0x41, 9446, 0x0},
    { 0, 0x27, 4681, 0x0},
    { 0, 0x13, 1642, 0x0},
    { 0, 0x22, 999, 0x0},
    { 27, 0x26, 4861, 0x0},
    { 0, 0x65, 4475, 0x0},
    { 0, 0x53, 4386, 0x0},
    { 8, 0x34, 5009, 0x0},
    { 24, 0x43, 6127, 0x0},
    { 0, 0x43, 5495, 0x0},
    // 360: Local time: 06:35:00 PM
    { 13, 0x45, 6858, 0x0},
    { 66, 0x32, 5841, 0x0},
    { 0, 0x32, 6097, 0x0},
    { 0, 0x31, 432, 0x0},
    { 7, 0x5f, 6744, 0x0},
    { 11, 0x33, 6945, 0x0},
    { 6, 0x36, 9458, 0x0},
    { 12, 0x34, 8925, 0x0},
    { 26, 0x25, 11216, 0x0},
    { 24, 0x36, 9329, 0x0},
    { 0, 0x37, 5635, 0x0},
    { 0, 0x33, 7750, 0x0},
    { 8, 0x51, 2369, 0x0},
    { 0, 0x32, 1739, 0x0},
    { 0, 0x33, 1582, 0x0},
    // 375: Local time: 06:50:00 PM
    { 6, 0x33, 2185, 0x0},
    { 0, 0x42, 7185, 0x0},
    { 6, 0x33, 11613, 0x0},
    { 10, 0x35, 9072, 0x0},
    { 59, 0x24, 5823, 0x0},
    { 0, 0x33, 7513, 0x0},
    { 0, 0x25, 2998, 0x0},
    { 15, 0x12, 2971, 0x0},
    { 23, 0x26, 3621, 0x0},
    { 0, 0x13, 1075, 0x0},
    { 0, 0x32, 1138, 0x0},
    { 0, 0x21, 2037, 0x0},
    { 50, 0x27, 7900, 0x0},
    { 77, 0x38, 4223, 0x0},
    { 18, 0x38, 6429, 0x0},
    // 390: Local time: 07:05:00 PM
    { 31, 0x38, 10805, 0x0},
    { 20, 0x38, 6100, 0x0},
    { 34, 0x38, 2669, 0x0},
    { 4, 0x38, 3112, 0x0},
    { 0, 0x27, 2732, 0x0},
    { 19, 0x23, 8108, 0x0},
    { 19, 0x22, 4996, 0x0},
    { 0, 0x23, 4950, 0x0},
    { 0, 0x10, 6233, 0x0},
    { 15, 0x11, 9772, 0x0},
    { 20, 0x1e, 9284, 0x0},
    { 6, 0x1f, 14141, 0x0},
    { 82, 0x38, 5693, 0x0},
    { 112, 0x38, 7143, 0x0},
    { 107, 0x38, 8203, 0x0},
    // 405: Local time: 07:20:00 PM
    { 109, 0x1b, 7730, 0x0},
    { 0, 0x38, 4838, 0x0},
    { 65, 0x28, 5871, 0x0},
    { 93, 0x28, 9572, 0x0},
    { 84, 0x38, 8437, 0x0},
    { 9, 0x38, 7669, 0x0},
    { 10, 0x38, 8937, 0x0},
    { 44, 0x47, 10852, 0x0},
    { 93, 0x48, 10866, 0x0},
    { 30, 0x47, 9756, 0x0},
    { 48, 0x46, 8721, 0x0},
    { 30, 0x47, 6383, 0x0},
    { 15, 0x43, 6116, 0x0},
    { 27, 0x45, 6697, 0x0},
    { 98, 0x46, 9985, 0x0},
    // 420: Local time: 07:35:00 PM
    { 18, 0x47, 8073, 0x0},
    { 0, 0x47, 10004, 0x0},
    { 64, 0x47, 8776, 0x0},
    { 18, 0x44, 6486, 0x0},
    { 35, 0x44, 7965, 0x0},
    { 26, 0x44, 8422, 0x0},
    { 58, 0x45, 9186, 0x0},
    { 66, 0x47, 9621, 0x0},
    { 24, 0x55, 10450, 0x0},
    { 0, 0x72, 8219, 0x0},
    { 0, 0x33, 2757, 0x0},
    { 10, 0x42, 5884, 0x0},
    { 0, 0x54, 4852, 0x0},
    { 0, 0x54, 5407, 0x0},
    { 0, 0x55, 2622, 0x0},
    // 435: Local time: 07:50:00 PM
    { 0, 0x53, 6479, 0x0},
    { 10, 0x43, 6238, 0x0},
    { 8, 0x33, 2661, 0x0},
    { 10, 0x43, 7370, 0x0},
    { 0, 0x43, 2236, 0x0},
    { 0, 0x34, 3500, 0x0},
    { 0, 0x53, 1851, 0x0},
    { 0, 0x52, 5666, 0x0},
    { 0, 0x41, 4999, 0x0},
    { 0, 0x32, 3908, 0x0},
    { 7, 0x53, 1847, 0x0},
    { 0, 0x42, 1138, 0x0},
    { 0, 0x62, 1918, 0x0},
    { 0, 0x43, 2961, 0x0},
    { 0, 0x52, 3821, 0x0},
    // 450: Local time: 08:05:00 PM
    { 31, 0x52, 3258, 0x0},
    { 0, 0x31, 6769, 0x0},
    { 0, 0x43, 5925, 0x0},
    { 0, 0x42, 7234, 0x0},
    { 15, 0x41, 7719, 0x0},
    { 14, 0x52, 4016, 0x0},
    { 0, 0x52, 2443, 0x0},
    { 10, 0x42, 5000, 0x0},
    { 0, 0x55, 2319, 0x0},
    { 0, 0x54, 3874, 0x0},
    { 0, 0x54, 3192, 0x0},
    { 0, 0x42, 4888, 0x0},
    { 15, 0x54, 2906, 0x0},
    { 12, 0x41, 4764, 0x0},
    { 0, 0x54, 4923, 0x0},
    // 465: Local time: 08:20:00 PM
    { 10, 0x65, 4324, 0x0},
    { 0, 0x6b, 4408, 0x0},
    { 0, 0x78, 2810, 0x0},
    { 17, 0x70, 6033, 0x0},
    { 0, 0x62, 6409, 0x0},
    { 0, 0x7a, 3581, 0x0},
    { 0, 0x75, 3522, 0x0},
    { 0, 0x62, 3278, 0x0},
    { 9, 0x71, 3816, 0x0},
    { 0, 0x43, 925, 0x0},
    { 0, 0x53, 3716, 0x0},
    { 0, 0x42, 4993, 0x0},
    { 14, 0x5f, 3196, 0x0},
    { 0, 0x73, 2598, 0x0},
    { 7, 0x55, 2698, 0x0},
    // 480: Local time: 08:35:00 PM
    { 0, 0x55, 3882, 0x0},
    { 0, 0x45, 4278, 0x0},
    { 0, 0x46, 1385, 0x0},
    { 0, 0x66, 2039, 0x0},
    { 0, 0x52, 3799, 0x0},
    { 18, 0x42, 4249, 0x0},
    { 32, 0x33, 3846, 0x0},
    { 0, 0x54, 1139, 0x0},
    { 0, 0x45, 1293, 0x0},
    { 13, 0x53, 3316, 0x0},
    { 0, 0x51, 3954, 0x0},
    { 0, 0x41, 3748, 0x0},
    { 0, 0x41, 4539, 0x0},
    { 0, 0x41, 3714, 0x0},
    { 0, 0x63, 3186, 0x0},
    // 495: Local time: 08:50:00 PM
    { 0, 0x4f, 3856, 0x0},
    { 0, 0x42, 5033, 0x0},
    { 0, 0x53, 3916, 0x0},
    { 0, 0x51, 4405, 0x0},
    { 0, 0x40, 3920, 0x0},
    { 0, 0x5f, 2715, 0x0},
    { 0, 0x5e, 947, 0x0},
    { 0, 0x55, 3085, 0x0},
    { 13, 0x5f, 2539, 0x0},
    { 0, 0x5f, 2197, 0x0},
    { 0, 0x6f, 1966, 0x0},
    { 0, 0x6f, 3118, 0x0},
    { 0, 0x72, 2940, 0x0},
    { 19, 0x41, 4940, 0x0},
    { 8, 0x5f, 2026, 0x0},
    // 510: Local time: 09:05:00 PM
    { 0, 0x41, 276, 0x0},
    { 0, 0x41, 145, 0x0},
    { 0, 0x52, 2107, 0x0},
    { 12, 0x61, 2678, 0x0},
    { 0, 0x62, 2814, 0x0},
    { 0, 0x71, 3547, 0x0},
    { 8, 0x61, 2902, 0x0},
    { 0, 0x73, 4031, 0x0},
    { 10, 0x61, 3109, 0x0},
    { 0, 0x50, 4074, 0x0},
    { 0, 0x4f, 2248, 0x0},
    { 0, 0x5f, 3426, 0x0},
    { 16, 0x60, 3036, 0x0},
    { 0, 0x50, 3176, 0x0},
    { 0, 0x40, 3831, 0x0},
    // 525: Local time: 09:20:00 PM
    { 0, 0x50, 3840, 0x0},
    { 0, 0x5f, 2419, 0x0},
    { 6, 0x53, 2590, 0x0},
    { 0, 0x44, 281, 0x0},
    { 22, 0x43, 1226, 0x0},
    { 0, 0x43, 1913, 0x0},
    { 8, 0x43, 1175, 0x0},
    { 0, 0x44, 264, 0x0},
    { 0, 0x63, 695, 0x0},
    { 0, 0x63, 1110, 0x0},
    { 0, 0x73, 1339, 0x0},
    { 0, 0x63, 2237, 0x0},
    { 0, 0x52, 2006, 0x0},
    { 9, 0x52, 2831, 0x0},
    { 6, 0x43, 3108, 0x0},
    // 540: Local time: 09:35:00 PM
    { 18, 0x48, 4693, 0x0},
    { 0, 0x48, 2754, 0x0},
    { 6, 0x45, 7268, 0x0},
    { 19, 0x54, 7280, 0x0},
    { 30, 0x45, 8191, 0x0},
    { 16, 0x56, 7290, 0x0},
    { 68, 0x53, 5066, 0x0},
    { 81, 0x56, 7182, 0x0},
    { 100, 0x57, 5850, 0x0},
    { 97, 0x55, 5770, 0x0},
    { 89, 0x53, 5249, 0x0},
    { 57, 0x54, 6048, 0x0},
    { 12, 0x47, 7447, 0x0},
    { 55, 0x47, 7358, 0x0},
    { 52, 0x46, 6164, 0x0},
    // 555: Local time: 09:50:00 PM
    { 27, 0x35, 5655, 0x0},
    { 0, 0x47, 4149, 0x0},
    { 0, 0x36, 6440, 0x0},
    { 8, 0x34, 13019, 0x0},
    { 12, 0x47, 8792, 0x0},
    { 12, 0x47, 7105, 0x0},
    { 28, 0x44, 6405, 0x0},
    { 16, 0x47, 6260, 0x0},
    { 50, 0x47, 6057, 0x0},
    { 24, 0x37, 7647, 0x0},
    { 50, 0x47, 5801, 0x0},
    { 16, 0x47, 7493, 0x0},
    { 24, 0x52, 9250, 0x0},
    { 0, 0x43, 7215, 0x0},
    { 12, 0x47, 6528, 0x0},
    // 570: Local time: 10:05:00 PM
    { 4, 0x57, 6731, 0x0},
    { 38, 0x79, 5166, 0x0},
    { 60, 0x47, 5880, 0x0},
    { 49, 0x46, 7280, 0x0},
    { 26, 0x47, 5481, 0x0},
    { 41, 0x47, 7368, 0x0},
    { 45, 0x43, 3396, 0x0},
    { 0, 0x43, 2273, 0x0},
    { 0, 0x63, 1260, 0x0},
    { 6, 0x8e, 4256, 0x0},
    { 6, 0x34, 871, 0x0},
    { 0, 0x35, 2234, 0x0},
    { 0, 0x51, 5203, 0x0},
    { 14, 0x51, 3408, 0x0},
    { 13, 0x51, 2268, 0x0},
    // 585: Local time: 10:20:00 PM
    { 0, 0x51, 1607, 0x0},
    { 0, 0x54, 412, 0x0},
    { 0, 0x64, 219, 0x0},
    { 8, 0x63, 592, 0x0},
    { 0, 0x54, 294, 0x0},
    { 0, 0x54, 245, 0x0},
    { 0, 0x54, 54, 0x0},
    { 0, 0x64, 458, 0x0},
    { 0, 0x64, 741, 0x0},
    { 0, 0x71, 4573, 0x0},
    { 0, 0x52, 5372, 0x0},
    { 0, 0x54, 1650, 0x0},
    { 0, 0x44, 2918, 0x0},
    { 10, 0x43, 4083, 0x0},
    { 0, 0x34, 1564, 0x0},
    // 600: Local time: 10:35:00 PM
    { 0, 0x35, 207, 0x0},
    { 0, 0x24, 217, 0x0},
    { 8, 0x33, 2816, 0x0},
    { 39, 0x35, 7992, 0x0},
    { 0, 0x12, 1182, 0x0},
    { 0, 0x12, 754, 0x0},
    { 6, 0x33, 744, 0x0},
    { 0, 0x44, 338, 0x0},
    { 8, 0x44, 911, 0x0},
    { 0, 0x44, 759, 0x0},
    { 0, 0x44, 478, 0x0},
    { 0, 0x44, 11, 0x0},
    { 0, 0x44, 22, 0x0},
    { 0, 0x44, 256, 0x0},
    { 0, 0x34, 4885, 0x0},
    // 615: Local time: 10:50:00 PM
    { 80, 0x45, 7904, 0x0},
    { 110, 0x44, 9223, 0x0},
    { 119, 0x44, 9329, 0x0},
    { 91, 0x46, 11373, 0x0},
    { 29, 0x47, 9433, 0x0},
    { 10, 0x47, 6497, 0x0},
    { 83, 0x47, 6356, 0x0},
    { 35, 0x47, 8470, 0x0},
    { 0, 0x43, 8606, 0x0},
    { 9, 0x51, 3938, 0x0},
    { 0, 0x42, 5591, 0x0},
    { 6, 0x41, 4585, 0x0},
    { 16, 0x33, 3094, 0x0},
    { 0, 0x34, 344, 0x0},
    { 0, 0x44, 1342, 0x0},
    // 630: Local time: 11:05:00 PM
    { 0, 0x43, 4263, 0x0},
    { 0, 0x51, 3797, 0x0},
    { 0, 0x42, 3254, 0x0},
    { 19, 0x44, 7516, 0x0},
    { 12, 0x35, 7161, 0x0},
    { 0, 0x35, 8126, 0x0},
    { 0, 0x25, 11151, 0x0},
    { 0, 0x63, 6318, 0x0},
    { 0, 0x24, 4574, 0x0},
    { 0, 0x31, 159, 0x0},
    { 9, 0x23, 5696, 0x0},
    { 14, 0x51, 6202, 0x0},
    { 8, 0x51, 6115, 0x0},
    { 13, 0x51, 7485, 0x0},
    { 0, 0x51, 6520, 0x0},
    // 645: Local time: 11:20:00 PM
    { 0, 0x51, 5843, 0x0},
    { 0, 0x64, 5063, 0x0},
    { 0, 0x43, 6377, 0x0},
    { 0, 0x23, 1789, 0x0},
    { 0, 0x24, 3199, 0x0},
    { 0, 0x32, 882, 0x0},
    { 0, 0x31, 790, 0x0},
    { 0, 0x32, 620, 0x0},
    { 0, 0x32, 939, 0x0},
    { 0, 0x31, 1364, 0x0},
    { 0, 0x31, 988, 0x0},
    { 9, 0x32, 2948, 0x0},
    { 38, 0x36, 6121, 0x0},
    { 9, 0x5e, 4778, 0x0},
    { 0, 0x3f, 560, 0x0},
    // 660: Local time: 11:35:00 PM
    { 0, 0x52, 99, 0x0},
    { 0, 0x52, 19, 0x0},
    { 0, 0x42, 37, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 442, 0x0},
    { 0, 0x1e, 238, 0x0},
    { 0, 0x1d, 0, 0x0},
    { 0, 0x1d, 0, 0x0},
    { 0, 0x1e, 335, 0x0},
    { 0, 0x51, 861, 0x0},
    { 0, 0x52, 660, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x52, 315, 0x0},
    // 675: Local time: 11:50:00 PM
    { 0, 0x61, 2114, 0x0},
    { 0, 0x62, 457, 0x0},
    { 0, 0x62, 306, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x62, 179, 0x0},
    { 0, 0x61, 3574, 0x0},
    { 0, 0x7f, 371, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 750, 0x0},
    { 0, 0x7f, 140, 0x0},
    { 0, 0x6e, 809, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 664, 0x0},
    { 0, 0x5d, 451, 0x0},
    // 690: Local time: 12:05:00 AM
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 446, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    // 705: Local time: 12:20:00 AM
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x4d, 0, 0x0},
    { 0, 0x5c, 2720, 0x0},
    { 6, 0x66, 2553, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    // 720: Local time: 12:35:01 AM
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    // 735: Local time: 12:50:01 AM
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    // 750: Local time: 01:05:00 AM
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    // 765: Local time: 01:20:00 AM
    { 0, 0x73, 0, 0x0},
    { 0, 0x54, 350, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x44, 293, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    // 780: Local time: 01:36:00 AM
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    // 795: Local time: 01:51:00 AM
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 293, 0x0},
    { 0, 0x54, 14, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    // 810: Local time: 02:06:00 AM
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x24, 118, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    // 825: Local time: 02:21:00 AM
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    // 840: Local time: 02:36:00 AM
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x13, 22, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    // 855: Local time: 02:51:00 AM
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x54, 112, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x34, 235, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    // 870: Local time: 03:06:00 AM
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 507, 0x0},
    // 885: Local time: 03:21:00 AM
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 535, 0x0},
    { 0, 0x8b, 816, 0x0},
    { 0, 0x7d, 356, 0x0},
    { 0, 0x7e, 248, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x7f, 156, 0x0},
    { 0, 0x7f, 0, 0x0},
    // 900: Local time: 03:36:00 AM
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7d, 697, 0x0},
    { 0, 0x5b, 615, 0x0},
    { 0, 0x5d, 2496, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x42, 0, 0x0},
    { 0, 0x5e, 316, 0x0},
    { 0, 0x5c, 0, 0x0},
    // 915: Local time: 03:51:00 AM
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 842, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 20, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    // 930: Local time: 04:06:00 AM
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    // 945: Local time: 04:21:00 AM
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x6f, 1959, 0x0},
    { 0, 0x83, 57, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    // 960: Local time: 04:36:00 AM
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x84, 0, 0x0},
    { 0, 0x84, 0, 0x0},
    { 0, 0x84, 0, 0x0},
    { 0, 0x84, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    // 975: Local time: 04:51:00 AM
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x82, 0, 0x0},
    { 0, 0x83, 0, 0x0},
    { 0, 0x33, 1619, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x7f, 2675, 0x0},
    { 0, 0x60, 1910, 0x0},
    { 0, 0x5d, 1878, 0x0},
    { 0, 0x4c, 291, 0x0},
    { 0, 0x7d, 942, 0x0},
    // 990: Local time: 05:06:01 AM
    { 0, 0x83, 66, 0x0},
    { 0, 0x83, 732, 0x0},
    { 0, 0x6b, 442, 0x0},
    { 0, 0x7b, 1949, 0x0},
    { 0, 0x73, 13, 0x0},
    { 0, 0x73, 415, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x7b, 2446, 0x0},
    { 0, 0x6b, 0, 0x0},
    { 0, 0x6b, 626, 0x0},
    { 0, 0x54, 1852, 0x0},
    { 0, 0x34, 0, 0x0},
    // 1005: Local time: 05:21:00 AM
    { 0, 0x34, 34, 0x0},
    { 0, 0x5b, 553, 0x0},
    { 0, 0x5a, 1428, 0x0},
    { 8, 0x4a, 247, 0x0},
    { 0, 0x4a, 0, 0x0},
    { 0, 0x4a, 0, 0x0},
    { 0, 0x4a, 0, 0x0},
    { 0, 0x49, 0, 0x0},
    { 0, 0x4a, 602, 0x0},
    { 0, 0x7e, 2252, 0x0},
    { 0, 0x7e, 113, 0x0},
    { 0, 0x7e, 78, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7e, 187, 0x0},
    { 0, 0x71, 473, 0x0},
    // 1020: Local time: 05:36:00 AM
    { 0, 0x71, 390, 0x0},
    { 0, 0x7f, 1292, 0x0},
    { 0, 0x6e, 17, 0x0},
    { 0, 0x6d, 0, 0x0},
    { 0, 0x6e, 1801, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 1035: Local time: 05:51:00 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 1050: Local time: 06:06:00 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 1065: Local time: 06:21:00 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 261, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 294, 0x0},
    { 0, 0x7f, 116, 0x0},
    { 0, 0x6e, 742, 0x0},
    { 0, 0x43, 65, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x53, 0, 0x0},
    { 0, 0x43, 20, 0x0},
    { 0, 0x51, 874, 0x0},
    // 1080: Local time: 06:36:00 AM
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5c, 224, 0x0},
    { 0, 0x4c, 245, 0x0},
    { 0, 0x2c, 140, 0x0},
    { 0, 0x2c, 0, 0x0},
    { 0, 0x2c, 0, 0x0},
    { 0, 0x2c, 0, 0x0},
    { 0, 0x2c, 0, 0x0},
    { 0, 0x2c, 0, 0x0},
    { 0, 0x5f, 2712, 0x0},
    { 0, 0x43, 183, 0x0},
    { 0, 0x53, 31, 0x0},
    { 0, 0x6f, 310, 0x0},
    { 0, 0x3e, 338, 0x0},
    // 1095: Local time: 06:51:00 AM
    { 0, 0x3d, 578, 0x0},
    { 0, 0x2c, 386, 0x0},
    { 0, 0x42, 969, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x52, 214, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x52, 0, 0x0},
    { 0, 0x21, 1192, 0x0},
    { 0, 0x1d, 0, 0x0},
    { 0, 0x2c, 2107, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    { 0, 0x4c, 0, 0x0},
    // 1110: Local time: 07:06:00 AM
    { 0, 0x4c, 0, 0x0},
    { 0, 0x5c, 1397, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x62, 213, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x72, 555, 0x0},
    { 0, 0x75, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    // 1125: Local time: 07:21:00 AM
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x54, 1334, 0x0},
    { 0, 0x44, 133, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 8, 0x66, 3697, 0x0},
    { 0, 0x85, 3145, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    // 1140: Local time: 07:36:00 AM
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 19, 0x0},
    // 1155: Local time: 07:51:01 AM
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8e, 0, 0x0},
    { 0, 0x8d, 282, 0x0},
    { 0, 0x43, 3591, 0x0},
    // 1170: Local time: 08:06:00 AM
    { 9, 0x42, 2274, 0x0},
    { 0, 0x33, 2958, 0x0},
    { 0, 0x42, 6196, 0x0},
    { 10, 0x64, 4460, 0x0},
    { 8, 0x54, 4764, 0x0},
    { 0, 0x63, 4592, 0x0},
    { 0, 0x22, 10183, 0x0},
    { 6, 0x22, 11233, 0x0},
    { 0, 0x22, 8575, 0x0},
    { 15, 0x24, 8989, 0x0},
    { 0, 0x37, 9050, 0x0},
    { 14, 0x10, 10414, 0x0},
    { 0, 0x21, 3862, 0x0},
    { 72, 0x14, 13766, 0x0},
    { 140, 0x18, 19710, 0x0},
    // 1185: Local time: 08:21:00 AM
    { 138, 0x29, 16590, 0x0},
    { 124, 0x29, 18733, 0x0},
    { 158, 0x28, 23875, 0x0},
    { 116, 0x29, 13497, 0x0},
    { 60, 0x1a, 8695, 0x0},
    { 0, 0x15, 606, 0x0},
    { 0, 0x55, 1438, 0x0},
    { 0, 0x43, 13121, 0x0},
    { 14, 0x31, 8323, 0x0},
    { 0, 0x43, 1332, 0x0},
    { 12, 0x44, 1565, 0x0},
    { 6, 0x54, 3679, 0x0},
    { 11, 0x43, 1512, 0x0},
    { 0, 0x43, 16, 0x0},
    { 0, 0x43, 224, 0x0},
    // 1200: Local time: 08:36:00 AM
    { 0, 0x42, 592, 0x0},
    { 0, 0x44, 5566, 0x0},
    { 85, 0x24, 6705, 0x0},
    { 79, 0x36, 9551, 0x0},
    { 53, 0x47, 7583, 0x0},
    { 58, 0x47, 8598, 0x0},
    { 35, 0x47, 7459, 0x0},
    { 75, 0x48, 7432, 0x0},
    { 69, 0x47, 8193, 0x0},
    { 106, 0x47, 8150, 0x0},
    { 110, 0x36, 10886, 0x0},
    { 39, 0x46, 7741, 0x0},
    { 33, 0x56, 10139, 0x0},
    { 10, 0x7b, 9208, 0x0},
    { 0, 0x54, 7663, 0x0},
    // 1215: Local time: 08:51:00 AM
    { 0, 0x63, 4672, 0x0},
    { 0, 0x33, 3899, 0x0},
    { 0, 0x62, 3230, 0x0},
    { 0, 0x61, 689, 0x0},
    { 0, 0x61, 87, 0x0},
    { 0, 0x61, 837, 0x0},
    { 0, 0x61, 1278, 0x0},
    { 0, 0x61, 318, 0x0},
    { 0, 0x61, 1675, 0x0},
    { 0, 0x62, 1468, 0x0},
    { 0, 0x62, 2148, 0x0},
    { 0, 0x63, 1453, 0x0},
    { 0, 0x63, 1408, 0x0},
    { 0, 0x63, 670, 0x0},
    { 0, 0x63, 538, 0x0},
    // 1230: Local time: 09:06:00 AM
    { 0, 0x53, 1256, 0x0},
    { 0, 0x44, 645, 0x0},
    { 0, 0x64, 747, 0x0},
    { 0, 0x63, 902, 0x0},
    { 0, 0x53, 575, 0x0},
    { 0, 0x52, 778, 0x0},
    { 0, 0x62, 886, 0x0},
    { 0, 0x61, 229, 0x0},
    { 0, 0x62, 818, 0x0},
    { 0, 0x64, 809, 0x0},
    { 0, 0x74, 94, 0x0},
    { 8, 0x64, 1148, 0x0},
    { 0, 0x64, 1337, 0x0},
    { 0, 0x52, 1515, 0x0},
    { 0, 0x51, 296, 0x0},
    // 1245: Local time: 09:21:00 AM
    { 0, 0x51, 518, 0x0},
    { 0, 0x52, 2197, 0x0},
    { 12, 0x53, 3520, 0x0},
    { 0, 0x52, 1410, 0x0},
    { 0, 0x62, 794, 0x0},
    { 0, 0x51, 446, 0x0},
    { 0, 0x51, 503, 0x0},
    { 0, 0x51, 1971, 0x0},
    { 0, 0x50, 1950, 0x0},
    { 0, 0x51, 239, 0x0},
    { 0, 0x51, 705, 0x0},
    { 0, 0x51, 207, 0x0},
    { 0, 0x61, 1038, 0x0},
    { 0, 0x63, 1207, 0x0},
    { 0, 0x73, 572, 0x0},
    // 1260: Local time: 09:36:00 AM
    { 0, 0x62, 195, 0x0},
    { 0, 0x62, 185, 0x0},
    { 8, 0x62, 927, 0x0},
    { 0, 0x62, 1068, 0x0},
    { 0, 0x64, 1253, 0x0},
    { 0, 0x64, 182, 0x0},
    { 0, 0x53, 5221, 0x0},
    { 0, 0x44, 5057, 0x0},
    { 0, 0x55, 3239, 0x0},
    { 0, 0x36, 3646, 0x0},
    { 7, 0x34, 3874, 0x0},
    { 31, 0x15, 3973, 0x0},
    { 0, 0x34, 572, 0x0},
    { 0, 0x34, 836, 0x0},
    { 0, 0x33, 759, 0x0},
    // 1275: Local time: 09:51:00 AM
    { 0, 0x53, 78, 0x0},
    { 0, 0x53, 2658, 0x0},
    { 0, 0x7a, 1050, 0x0},
    { 11, 0x8a, 1064, 0x0},
    { 0, 0x85, 861, 0x0},
    { 0, 0x71, 1876, 0x0},
    { 0, 0x72, 814, 0x0},
    { 0, 0x82, 959, 0x0},
    { 0, 0x53, 772, 0x0},
    { 0, 0x41, 421, 0x0},
    { 0, 0x53, 0, 0x0},
    { 6, 0x51, 1373, 0x0},
    { 0, 0x41, 1482, 0x0},
    { 0, 0x43, 2627, 0x0},
    { 0, 0x40, 1342, 0x0},
    // 1290: Local time: 10:06:00 AM
    { 0, 0x41, 840, 0x0},
    { 0, 0x30, 294, 0x0},
    { 0, 0x40, 1699, 0x0},
    { 0, 0x53, 2214, 0x0},
    { 0, 0x43, 1274, 0x0},
    { 0, 0x52, 1342, 0x0},
    { 0, 0x40, 1410, 0x0},
    { 0, 0x30, 229, 0x0},
    { 0, 0x30, 54, 0x0},
    { 0, 0x22, 409, 0x0},
    { 0, 0x33, 633, 0x0},
    { 0, 0x33, 186, 0x0},
    { 0, 0x21, 621, 0x0},
    { 0, 0x40, 79, 0x0},
    { 0, 0x40, 204, 0x0},
    // 1305: Local time: 10:21:00 AM
    { 0, 0x4f, 1105, 0x0},
    { 0, 0x4f, 1235, 0x0},
    { 0, 0x41, 802, 0x0},
    { 0, 0x41, 470, 0x0},
    { 9, 0x42, 1383, 0x0},
    { 0, 0x40, 572, 0x0},
    { 0, 0x40, 256, 0x0},
    { 0, 0x4f, 577, 0x0},
    { 20, 0x43, 4719, 0x0},
    { 0, 0x53, 3665, 0x0},
    { 0, 0x52, 2598, 0x0},
    { 0, 0x52, 3319, 0x0},
    { 8, 0x41, 1786, 0x0},
    { 0, 0x43, 3540, 0x0},
    { 15, 0x44, 5465, 0x0},
    // 1320: Local time: 10:36:00 AM
    { 0, 0x32, 3942, 0x0},
    { 9, 0x42, 3793, 0x0},
    { 0, 0x53, 1582, 0x0},
    { 0, 0x53, 74, 0x0},
    { 0, 0x53, 0, 0x0},
    { 0, 0x53, 235, 0x0},
    { 0, 0x42, 2061, 0x0},
    { 0, 0x34, 1848, 0x0},
    { 0, 0x35, 1049, 0x0},
    { 0, 0x33, 1434, 0x0},
    { 0, 0x53, 1950, 0x0},
    { 0, 0x53, 29, 0x0},
    { 0, 0x53, 513, 0x0},
    { 0, 0x53, 0, 0x0},
    { 0, 0x71, 3559, 0x0},
    // 1335: Local time: 10:51:00 AM
    { 0, 0x64, 1718, 0x0},
    { 0, 0x54, 520, 0x0},
    { 0, 0x62, 1548, 0x0},
    { 0, 0x53, 785, 0x0},
    { 0, 0x53, 1750, 0x0},
    { 0, 0x64, 1253, 0x0},
    { 0, 0x64, 2319, 0x0},
    { 0, 0x63, 3313, 0x0},
    { 0, 0x63, 851, 0x0},
    { 0, 0x62, 2718, 0x0},
    { 7, 0x53, 1151, 0x0},
    { 0, 0x53, 2930, 0x0},
    { 0, 0x64, 1556, 0x0},
    { 9, 0x64, 1494, 0x0},
    { 0, 0x63, 568, 0x0},
    // 1350: Local time: 11:06:00 AM
    { 0, 0x63, 177, 0x0},
    { 0, 0x63, 1132, 0x0},
    { 0, 0x63, 771, 0x0},
    { 0, 0x63, 39, 0x0},
    { 0, 0x63, 1133, 0x0},
    { 0, 0x64, 1694, 0x0},
    { 0, 0x64, 307, 0x0},
    { 0, 0x62, 2280, 0x0},
    { 0, 0x51, 44, 0x0},
    { 0, 0x42, 732, 0x0},
    { 0, 0x63, 1398, 0x0},
    { 0, 0x63, 41, 0x0},
    { 0, 0x53, 31, 0x0},
    { 0, 0x63, 660, 0x0},
    { 0, 0x53, 372, 0x0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

