/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


// ----------------------------------------------------------------
// Sample captured at: 2015-10-07 14:39:00 local, 2015-10-07 21:39:00 GMT
AlgDlsMinuteData *activity_sample_2015_10_07_14_39_00(int *len) {
  //> TEST_NAME pbl_27937
  //> TEST_VERSION 2
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT 1096
  //> TEST_END_AT_MIN 1090
  //> TEST_END_AT_MAX 1100
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, ligh}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x72, 1836, 0x0},
    { 71, 0x5f, 4438, 0x0},
    { 38, 0x60, 4133, 0x0},
    { 0, 0x80, 867, 0x0},
    { 0, 0x7d, 960, 0x0},
    { 0, 0x7e, 1241, 0x0},
    { 0, 0x71, 538, 0x0},
    { 0, 0x71, 195, 0x0},
    { 0, 0x72, 390, 0x0},
    { 0, 0x71, 1953, 0x0},
    { 0, 0x71, 646, 0x0},
    { 0, 0x70, 2082, 0x0},
    { 12, 0x71, 1625, 0x0},
    { 0, 0x71, 1377, 0x0},
    { 0, 0x83, 1669, 0x0},
    // 15: Local time: 02:54:00 PM
    { 0, 0x70, 1074, 0x0},
    { 0, 0x71, 936, 0x0},
    { 0, 0x65, 7499, 0x0},
    { 0, 0x56, 3914, 0x0},
    { 0, 0x45, 7296, 0x0},
    { 18, 0x67, 6429, 0x0},
    { 0, 0x7b, 2464, 0x0},
    { 0, 0x6b, 3728, 0x0},
    { 0, 0x6b, 3478, 0x0},
    { 0, 0x6c, 3073, 0x0},
    { 0, 0x6b, 2934, 0x0},
    { 0, 0x6b, 4074, 0x0},
    { 0, 0x4a, 4146, 0x0},
    { 0, 0x6c, 4360, 0x0},
    { 6, 0x6d, 3485, 0x0},
    // 30: Local time: 03:09:00 PM
    { 0, 0x5c, 3552, 0x0},
    { 0, 0x4c, 2587, 0x0},
    { 0, 0x4c, 2055, 0x0},
    { 0, 0x4c, 9004, 0x0},
    { 0, 0x4c, 12168, 0x0},
    { 0, 0x4c, 4821, 0x0},
    { 0, 0x4c, 2715, 0x0},
    { 0, 0x4c, 3846, 0x0},
    { 0, 0x4c, 5656, 0x0},
    { 0, 0x4c, 5128, 0x0},
    { 0, 0x4c, 6099, 0x0},
    { 0, 0x7d, 3759, 0x0},
    { 0, 0x7c, 3242, 0x0},
    { 0, 0x6c, 3674, 0x0},
    { 0, 0x4c, 2668, 0x0},
    // 45: Local time: 03:24:00 PM
    { 0, 0x4c, 4636, 0x0},
    { 0, 0x4c, 2594, 0x0},
    { 0, 0x3c, 3600, 0x0},
    { 0, 0x4c, 2828, 0x0},
    { 0, 0x69, 4015, 0x0},
    { 0, 0x59, 2072, 0x0},
    { 0, 0x4a, 4616, 0x0},
    { 0, 0x4c, 4487, 0x0},
    { 0, 0x6b, 3583, 0x0},
    { 0, 0x8e, 3324, 0x0},
    { 0, 0x7e, 3973, 0x0},
    { 0, 0x7c, 2743, 0x0},
    { 0, 0x6e, 2035, 0x0},
    { 0, 0x6e, 2043, 0x0},
    { 0, 0x63, 3430, 0x0},
    // 60: Local time: 03:39:00 PM
    { 0, 0x66, 3050, 0x0},
    { 0, 0x67, 2181, 0x0},
    { 25, 0x65, 3152, 0x0},
    { 0, 0x71, 1959, 0x0},
    { 0, 0x71, 1537, 0x0},
    { 0, 0x61, 1272, 0x0},
    { 0, 0x72, 738, 0x0},
    { 0, 0x81, 919, 0x0},
    { 0, 0x71, 1281, 0x0},
    { 0, 0x71, 1576, 0x0},
    { 6, 0x7e, 2280, 0x0},
    { 8, 0x7f, 1108, 0x0},
    { 0, 0x70, 1497, 0x0},
    { 0, 0x7d, 1271, 0x0},
    { 0, 0x72, 1003, 0x0},
    // 75: Local time: 03:54:00 PM
    { 0, 0x70, 1348, 0x0},
    { 0, 0x71, 1629, 0x0},
    { 0, 0x82, 1336, 0x0},
    { 0, 0x73, 1808, 0x0},
    { 0, 0x82, 1235, 0x0},
    { 0, 0x71, 1225, 0x0},
    { 0, 0x71, 1089, 0x0},
    { 0, 0x71, 1275, 0x0},
    { 0, 0x71, 577, 0x0},
    { 0, 0x71, 991, 0x0},
    { 0, 0x71, 886, 0x0},
    { 0, 0x71, 716, 0x0},
    { 0, 0x71, 509, 0x0},
    { 0, 0x71, 168, 0x0},
    { 0, 0x71, 1071, 0x0},
    // 90: Local time: 04:09:00 PM
    { 0, 0x71, 464, 0x0},
    { 0, 0x71, 790, 0x0},
    { 0, 0x61, 1038, 0x0},
    { 0, 0x61, 1688, 0x0},
    { 0, 0x61, 0, 0x0},
    { 0, 0x61, 14, 0x0},
    { 0, 0x61, 352, 0x0},
    { 0, 0x61, 367, 0x0},
    { 0, 0x71, 1687, 0x0},
    { 0, 0x61, 2002, 0x0},
    { 0, 0x71, 1613, 0x0},
    { 0, 0x71, 1407, 0x0},
    { 0, 0x81, 1482, 0x0},
    { 27, 0x66, 5307, 0x0},
    { 0, 0x46, 4749, 0x0},
    // 105: Local time: 04:24:00 PM
    { 0, 0x45, 5767, 0x0},
    { 0, 0x64, 3340, 0x0},
    { 8, 0x64, 3769, 0x0},
    { 16, 0x54, 5021, 0x0},
    { 0, 0x81, 1573, 0x0},
    { 0, 0x7f, 1104, 0x0},
    { 0, 0x71, 478, 0x0},
    { 0, 0x71, 1508, 0x0},
    { 0, 0x71, 1398, 0x0},
    { 0, 0x71, 1006, 0x0},
    { 0, 0x43, 2450, 0x0},
    { 0, 0x33, 507, 0x0},
    { 0, 0x43, 404, 0x0},
    { 0, 0x62, 1901, 0x0},
    { 0, 0x71, 747, 0x0},
    // 120: Local time: 04:40:00 PM
    { 0, 0x71, 1336, 0x0},
    { 0, 0x71, 1154, 0x0},
    { 0, 0x71, 2191, 0x0},
    { 0, 0x65, 5558, 0x0},
    { 0, 0x55, 6383, 0x0},
    { 25, 0x24, 3899, 0x0},
    { 56, 0x33, 3359, 0x0},
    { 24, 0x44, 2866, 0x0},
    { 136, 0x45, 9424, 0x0},
    { 84, 0x56, 9254, 0x0},
    { 107, 0x56, 6053, 0x0},
    { 130, 0x45, 6174, 0x0},
    { 76, 0x45, 3973, 0x0},
    { 86, 0x58, 4425, 0x0},
    { 59, 0x56, 11541, 0x0},
    // 135: Local time: 04:55:00 PM
    { 55, 0x43, 4969, 0x0},
    { 7, 0x42, 3879, 0x0},
    { 16, 0x33, 5320, 0x0},
    { 6, 0x24, 2780, 0x0},
    { 0, 0x33, 2209, 0x0},
    { 9, 0x43, 2224, 0x0},
    { 0, 0x52, 3130, 0x0},
    { 8, 0x42, 3802, 0x0},
    { 0, 0x52, 4401, 0x0},
    { 0, 0x53, 3036, 0x0},
    { 0, 0x33, 3411, 0x0},
    { 6, 0x54, 3353, 0x0},
    { 0, 0x44, 2462, 0x0},
    { 16, 0x34, 2510, 0x0},
    { 7, 0x44, 3059, 0x0},
    // 150: Local time: 05:10:00 PM
    { 49, 0x24, 2702, 0x0},
    { 8, 0x24, 3275, 0x0},
    { 12, 0x24, 1801, 0x0},
    { 0, 0x24, 1921, 0x0},
    { 10, 0x44, 3435, 0x0},
    { 0, 0x24, 1670, 0x0},
    { 0, 0x44, 2376, 0x0},
    { 6, 0x43, 1866, 0x0},
    { 6, 0x54, 1830, 0x0},
    { 0, 0x54, 1472, 0x0},
    { 0, 0x54, 592, 0x0},
    { 0, 0x54, 705, 0x0},
    { 0, 0x54, 1018, 0x0},
    { 8, 0x54, 1571, 0x0},
    { 0, 0x54, 1740, 0x0},
    // 165: Local time: 05:25:00 PM
    { 0, 0x54, 1284, 0x0},
    { 0, 0x54, 1247, 0x0},
    { 0, 0x53, 2748, 0x0},
    { 0, 0x44, 1820, 0x0},
    { 0, 0x44, 1263, 0x0},
    { 0, 0x44, 1303, 0x0},
    { 0, 0x43, 2376, 0x0},
    { 17, 0x32, 2257, 0x0},
    { 6, 0x24, 1135, 0x0},
    { 10, 0x43, 4774, 0x0},
    { 0, 0x52, 1274, 0x0},
    { 0, 0x52, 1795, 0x0},
    { 7, 0x53, 1958, 0x0},
    { 0, 0x62, 202, 0x0},
    { 0, 0x62, 159, 0x0},
    // 180: Local time: 05:40:00 PM
    { 0, 0x53, 1805, 0x0},
    { 0, 0x53, 2205, 0x0},
    { 0, 0x63, 2042, 0x0},
    { 0, 0x73, 1084, 0x0},
    { 0, 0x64, 2971, 0x0},
    { 17, 0x36, 5624, 0x0},
    { 40, 0x46, 6247, 0x0},
    { 122, 0x33, 5283, 0x0},
    { 52, 0x34, 10401, 0x0},
    { 40, 0x34, 6850, 0x0},
    { 10, 0x45, 6230, 0x0},
    { 18, 0x34, 5317, 0x0},
    { 71, 0x45, 10623, 0x0},
    { 44, 0x34, 4737, 0x0},
    { 8, 0x23, 2635, 0x0},
    // 195: Local time: 05:55:00 PM
    { 0, 0x34, 4497, 0x0},
    { 0, 0x72, 1243, 0x0},
    { 16, 0x7c, 2163, 0x0},
    { 0, 0x52, 3852, 0x0},
    { 0, 0x33, 623, 0x0},
    { 0, 0x33, 997, 0x0},
    { 0, 0x33, 1102, 0x0},
    { 0, 0x33, 987, 0x0},
    { 0, 0x33, 485, 0x0},
    { 8, 0x33, 1256, 0x0},
    { 9, 0x22, 1320, 0x0},
    { 0, 0x23, 723, 0x0},
    { 0, 0x23, 642, 0x0},
    { 21, 0x23, 837, 0x0},
    { 0, 0x43, 3907, 0x0},
    // 210: Local time: 06:10:00 PM
    { 30, 0x45, 10064, 0x0},
    { 82, 0x57, 8286, 0x0},
    { 110, 0x58, 7380, 0x0},
    { 0, 0x57, 3461, 0x0},
    { 70, 0x57, 6494, 0x0},
    { 6, 0x56, 5144, 0x0},
    { 49, 0x57, 4089, 0x0},
    { 23, 0x66, 2043, 0x0},
    { 14, 0x58, 2410, 0x0},
    { 0, 0x44, 4024, 0x0},
    { 0, 0x55, 6615, 0x0},
    { 14, 0x56, 3645, 0x0},
    { 7, 0x43, 2865, 0x0},
    { 7, 0x45, 5333, 0x0},
    { 0, 0x44, 6442, 0x0},
    // 225: Local time: 06:26:00 PM
    { 0, 0x54, 4633, 0x0},
    { 0, 0x44, 4336, 0x0},
    { 0, 0x24, 2521, 0x0},
    { 0, 0x14, 1112, 0x0},
    { 0, 0x24, 3353, 0x0},
    { 0, 0x44, 3371, 0x0},
    { 0, 0x35, 4411, 0x0},
    { 0, 0x46, 5934, 0x0},
    { 8, 0x46, 1494, 0x0},
    { 0, 0x45, 3515, 0x0},
    { 0, 0x55, 4841, 0x0},
    { 0, 0x42, 5640, 0x0},
    { 0, 0x43, 4154, 0x0},
    { 0, 0x43, 4701, 0x0},
    { 0, 0x33, 3284, 0x0},
    // 240: Local time: 06:41:00 PM
    { 9, 0x24, 4388, 0x0},
    { 0, 0x53, 6014, 0x0},
    { 0, 0x43, 4382, 0x0},
    { 9, 0x45, 6892, 0x0},
    { 6, 0x46, 1425, 0x0},
    { 0, 0x54, 2286, 0x0},
    { 23, 0x42, 4133, 0x0},
    { 0, 0x42, 3263, 0x0},
    { 12, 0x42, 2573, 0x0},
    { 6, 0x52, 3221, 0x0},
    { 0, 0x34, 1428, 0x0},
    { 0, 0x46, 4139, 0x0},
    { 0, 0x45, 5854, 0x0},
    { 0, 0x47, 5851, 0x0},
    { 0, 0x37, 1472, 0x0},
    // 255: Local time: 06:56:00 PM
    { 8, 0x37, 1226, 0x0},
    { 6, 0x57, 2455, 0x0},
    { 0, 0x37, 1185, 0x0},
    { 0, 0x56, 3692, 0x0},
    { 0, 0x44, 6677, 0x0},
    { 9, 0x43, 3726, 0x0},
    { 0, 0x43, 2582, 0x0},
    { 6, 0x46, 3657, 0x0},
    { 0, 0x47, 3287, 0x0},
    { 39, 0x46, 5039, 0x0},
    { 20, 0x56, 7506, 0x0},
    { 0, 0x47, 2927, 0x0},
    { 6, 0x45, 1334, 0x0},
    { 16, 0x44, 4135, 0x0},
    { 0, 0x45, 1141, 0x0},
    // 270: Local time: 07:11:00 PM
    { 0, 0x45, 3665, 0x0},
    { 0, 0x46, 4114, 0x0},
    { 0, 0x44, 623, 0x0},
    { 0, 0x44, 1355, 0x0},
    { 16, 0x44, 1474, 0x0},
    { 0, 0x44, 1052, 0x0},
    { 0, 0x41, 1718, 0x0},
    { 6, 0x57, 3590, 0x0},
    { 20, 0x43, 4758, 0x0},
    { 9, 0x46, 3824, 0x0},
    { 0, 0x48, 2405, 0x0},
    { 0, 0x54, 2627, 0x0},
    { 7, 0x44, 2819, 0x0},
    { 0, 0x63, 2331, 0x0},
    { 0, 0x72, 399, 0x0},
    // 285: Local time: 07:26:01 PM
    { 0, 0x52, 1075, 0x0},
    { 0, 0x50, 1181, 0x0},
    { 0, 0x41, 1533, 0x0},
    { 0, 0x41, 3557, 0x0},
    { 0, 0x23, 4906, 0x0},
    { 0, 0x34, 3969, 0x0},
    { 0, 0x57, 2887, 0x0},
    { 0, 0x69, 3987, 0x0},
    { 0, 0x56, 2754, 0x0},
    { 7, 0x45, 2228, 0x0},
    { 0, 0x45, 2298, 0x0},
    { 0, 0x34, 2032, 0x0},
    { 0, 0x46, 1496, 0x0},
    { 0, 0x67, 713, 0x0},
    { 0, 0x46, 4485, 0x0},
    // 300: Local time: 07:41:00 PM
    { 15, 0x35, 3515, 0x0},
    { 0, 0x25, 3458, 0x0},
    { 0, 0x44, 4086, 0x0},
    { 8, 0x53, 5202, 0x0},
    { 0, 0x46, 4928, 0x0},
    { 0, 0x46, 3970, 0x0},
    { 9, 0x46, 3495, 0x0},
    { 0, 0x35, 1906, 0x0},
    { 0, 0x62, 2708, 0x0},
    { 0, 0x53, 3963, 0x0},
    { 0, 0x43, 1229, 0x0},
    { 0, 0x43, 2859, 0x0},
    { 8, 0x42, 3778, 0x0},
    { 0, 0x43, 3409, 0x0},
    { 0, 0x43, 2212, 0x0},
    // 315: Local time: 07:56:00 PM
    { 0, 0x73, 811, 0x0},
    { 15, 0x43, 2333, 0x0},
    { 6, 0x23, 1416, 0x0},
    { 0, 0x44, 5720, 0x0},
    { 0, 0x7b, 6901, 0x0},
    { 13, 0x47, 4786, 0x0},
    { 0, 0x57, 2264, 0x0},
    { 0, 0x47, 2884, 0x0},
    { 0, 0x34, 2810, 0x0},
    { 0, 0x53, 5533, 0x0},
    { 0, 0x44, 6173, 0x0},
    { 0, 0x33, 6895, 0x0},
    { 15, 0x35, 5353, 0x0},
    { 0, 0x37, 3121, 0x0},
    { 8, 0x46, 3930, 0x0},
    // 330: Local time: 08:11:00 PM
    { 12, 0x42, 5185, 0x0},
    { 0, 0x47, 3167, 0x0},
    { 0, 0x37, 2687, 0x0},
    { 0, 0x36, 1676, 0x0},
    { 0, 0x37, 1642, 0x0},
    { 0, 0x36, 1656, 0x0},
    { 8, 0x44, 3013, 0x0},
    { 18, 0x62, 1999, 0x0},
    { 0, 0x62, 3386, 0x0},
    { 0, 0x58, 2138, 0x0},
    { 0, 0x58, 922, 0x0},
    { 7, 0x57, 2597, 0x0},
    { 0, 0x41, 4570, 0x0},
    { 0, 0x45, 8635, 0x0},
    { 10, 0x55, 6702, 0x0},
    // 345: Local time: 08:26:00 PM
    { 10, 0x44, 4482, 0x0},
    { 0, 0x52, 1770, 0x0},
    { 0, 0x52, 1802, 0x0},
    { 0, 0x43, 2289, 0x0},
    { 0, 0x63, 3298, 0x0},
    { 10, 0x65, 4960, 0x0},
    { 18, 0x57, 3788, 0x0},
    { 14, 0x47, 2553, 0x0},
    { 8, 0x46, 5033, 0x0},
    { 0, 0x64, 2968, 0x0},
    { 0, 0x42, 227, 0x0},
    { 0, 0x42, 624, 0x0},
    { 0, 0x43, 2119, 0x0},
    { 0, 0x36, 3359, 0x0},
    { 0, 0x37, 689, 0x0},
    // 360: Local time: 08:41:00 PM
    { 0, 0x47, 4672, 0x0},
    { 0, 0x43, 5749, 0x0},
    { 0, 0x44, 7454, 0x0},
    { 0, 0x45, 7950, 0x0},
    { 0, 0x53, 2183, 0x0},
    { 0, 0x44, 4209, 0x0},
    { 0, 0x57, 4232, 0x0},
    { 0, 0x54, 4108, 0x0},
    { 0, 0x53, 2471, 0x0},
    { 0, 0x63, 1968, 0x0},
    { 0, 0x53, 2940, 0x0},
    { 0, 0x62, 2146, 0x0},
    { 0, 0x63, 4391, 0x0},
    { 0, 0x45, 4823, 0x0},
    { 0, 0x43, 4271, 0x0},
    // 375: Local time: 08:56:00 PM
    { 20, 0x53, 1290, 0x0},
    { 0, 0x53, 2021, 0x0},
    { 14, 0x44, 5663, 0x0},
    { 69, 0x53, 6646, 0x0},
    { 104, 0x53, 8413, 0x0},
    { 74, 0x53, 7815, 0x0},
    { 30, 0x46, 8061, 0x0},
    { 94, 0x47, 8502, 0x0},
    { 73, 0x45, 5989, 0x0},
    { 38, 0x47, 6076, 0x0},
    { 45, 0x45, 8558, 0x0},
    { 74, 0x44, 7786, 0x0},
    { 66, 0x45, 7148, 0x0},
    { 92, 0x47, 6078, 0x0},
    { 81, 0x47, 7659, 0x0},
    // 390: Local time: 09:11:00 PM
    { 73, 0x47, 6873, 0x0},
    { 0, 0x46, 1912, 0x0},
    { 0, 0x45, 4012, 0x0},
    { 25, 0x34, 5116, 0x0},
    { 9, 0x44, 2918, 0x0},
    { 16, 0x53, 3816, 0x0},
    { 52, 0x43, 4416, 0x0},
    { 0, 0x55, 7469, 0x0},
    { 14, 0x53, 2280, 0x0},
    { 0, 0x53, 1725, 0x0},
    { 8, 0x52, 1601, 0x0},
    { 50, 0x43, 4019, 0x0},
    { 12, 0x53, 4315, 0x0},
    { 41, 0x43, 3626, 0x0},
    { 12, 0x52, 4592, 0x0},
    // 405: Local time: 09:26:00 PM
    { 0, 0x42, 932, 0x0},
    { 0, 0x42, 1737, 0x0},
    { 0, 0x32, 905, 0x0},
    { 0, 0x52, 1303, 0x0},
    { 0, 0x51, 1823, 0x0},
    { 9, 0x42, 1716, 0x0},
    { 18, 0x52, 2783, 0x0},
    { 0, 0x52, 2742, 0x0},
    { 18, 0x52, 4071, 0x0},
    { 9, 0x52, 4183, 0x0},
    { 12, 0x52, 3728, 0x0},
    { 8, 0x52, 3605, 0x0},
    { 0, 0x52, 2967, 0x0},
    { 0, 0x52, 2764, 0x0},
    { 27, 0x52, 2729, 0x0},
    // 420: Local time: 09:41:00 PM
    { 8, 0x52, 4152, 0x0},
    { 0, 0x62, 2604, 0x0},
    { 16, 0x52, 2387, 0x0},
    { 0, 0x52, 2678, 0x0},
    { 6, 0x42, 3763, 0x0},
    { 37, 0x44, 6683, 0x0},
    { 0, 0x53, 3196, 0x0},
    { 6, 0x52, 2539, 0x0},
    { 9, 0x52, 2641, 0x0},
    { 0, 0x42, 1900, 0x0},
    { 10, 0x53, 5283, 0x0},
    { 5, 0x34, 5048, 0x0},
    { 0, 0x24, 5777, 0x0},
    { 0, 0x46, 8841, 0x0},
    { 30, 0x47, 4604, 0x0},
    // 435: Local time: 09:57:00 PM
    { 77, 0x47, 7308, 0x0},
    { 116, 0x46, 8493, 0x0},
    { 80, 0x46, 8234, 0x0},
    { 70, 0x57, 7515, 0x0},
    { 12, 0x23, 1965, 0x0},
    { 0, 0x23, 1178, 0x0},
    { 0, 0x23, 340, 0x0},
    { 0, 0x33, 1688, 0x0},
    { 0, 0x44, 2294, 0x0},
    { 6, 0x23, 707, 0x0},
    { 0, 0x23, 1084, 0x0},
    { 10, 0x54, 7271, 0x0},
    { 0, 0x62, 3478, 0x0},
    { 0, 0x52, 1431, 0x0},
    { 0, 0x52, 1989, 0x0},
    // 450: Local time: 10:12:00 PM
    { 0, 0x52, 1574, 0x0},
    { 0, 0x52, 1656, 0x0},
    { 0, 0x7f, 2464, 0x0},
    { 0, 0x6e, 1330, 0x0},
    { 0, 0x7d, 3187, 0x0},
    { 61, 0x67, 9689, 0x0},
    { 31, 0x46, 5723, 0x0},
    { 6, 0x47, 4037, 0x0},
    { 13, 0x36, 537, 0x0},
    { 0, 0x45, 1734, 0x0},
    { 0, 0x63, 1596, 0x0},
    { 0, 0x53, 846, 0x0},
    { 0, 0x53, 2212, 0x0},
    { 0, 0x45, 1728, 0x0},
    { 56, 0x46, 5730, 0x0},
    // 465: Local time: 10:27:01 PM
    { 17, 0x45, 7605, 0x0},
    { 0, 0x44, 4758, 0x0},
    { 0, 0x32, 2345, 0x0},
    { 0, 0x33, 922, 0x0},
    { 0, 0x24, 448, 0x0},
    { 0, 0x24, 233, 0x0},
    { 0, 0x24, 16, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x33, 356, 0x0},
    { 0, 0x23, 45, 0x0},
    { 0, 0x33, 125, 0x0},
    { 0, 0x33, 254, 0x0},
    { 0, 0x33, 411, 0x0},
    { 0, 0x32, 523, 0x0},
    { 0, 0x33, 472, 0x0},
    // 480: Local time: 10:42:00 PM
    { 0, 0x33, 1666, 0x0},
    { 0, 0x23, 956, 0x0},
    { 0, 0x23, 48, 0x0},
    { 0, 0x23, 136, 0x0},
    { 28, 0x13, 922, 0x0},
    { 8, 0x23, 377, 0x0},
    { 21, 0x23, 1382, 0x0},
    { 0, 0x23, 1102, 0x0},
    { 0, 0x23, 116, 0x0},
    { 0, 0x23, 87, 0x0},
    { 0, 0x23, 568, 0x0},
    { 0, 0x33, 1059, 0x0},
    { 14, 0x34, 1697, 0x0},
    { 40, 0x33, 2317, 0x0},
    { 0, 0x32, 1334, 0x0},
    // 495: Local time: 10:57:00 PM
    { 0, 0x32, 1272, 0x0},
    { 50, 0x43, 3016, 0x0},
    { 12, 0x35, 2323, 0x0},
    { 0, 0x34, 742, 0x0},
    { 11, 0x33, 2063, 0x0},
    { 41, 0x32, 2045, 0x0},
    { 0, 0x32, 660, 0x0},
    { 0, 0x35, 623, 0x0},
    { 0, 0x34, 775, 0x0},
    { 0, 0x43, 149, 0x0},
    { 0, 0x33, 57, 0x0},
    { 0, 0x33, 75, 0x0},
    { 0, 0x33, 519, 0x0},
    { 13, 0x23, 1472, 0x0},
    { 0, 0x33, 405, 0x0},
    // 510: Local time: 11:12:00 PM
    { 0, 0x33, 393, 0x0},
    { 0, 0x33, 333, 0x0},
    { 0, 0x33, 335, 0x0},
    { 0, 0x34, 222, 0x0},
    { 0, 0x45, 50, 0x0},
    { 19, 0x44, 8467, 0x0},
    { 54, 0x47, 5363, 0x0},
    { 63, 0x47, 4327, 0x0},
    { 0, 0x35, 3766, 0x0},
    { 0, 0x45, 1173, 0x0},
    { 12, 0x43, 1934, 0x0},
    { 0, 0x43, 1010, 0x0},
    { 0, 0x63, 975, 0x0},
    { 7, 0x42, 3833, 0x0},
    { 13, 0x33, 2767, 0x0},
    // 525: Local time: 11:27:00 PM
    { 7, 0x45, 4077, 0x0},
    { 18, 0x35, 5505, 0x0},
    { 33, 0x45, 7972, 0x0},
    { 8, 0x33, 2828, 0x0},
    { 0, 0x64, 1872, 0x0},
    { 0, 0x63, 1932, 0x0},
    { 7, 0x72, 1055, 0x0},
    { 21, 0x72, 2409, 0x0},
    { 27, 0x43, 2581, 0x0},
    { 16, 0x43, 1551, 0x0},
    { 16, 0x33, 1881, 0x0},
    { 0, 0x33, 1408, 0x0},
    { 53, 0x33, 4505, 0x0},
    { 47, 0x23, 2814, 0x0},
    { 16, 0x33, 1700, 0x0},
    // 540: Local time: 11:42:00 PM
    { 9, 0x33, 2048, 0x0},
    { 18, 0x23, 1488, 0x0},
    { 15, 0x33, 1804, 0x0},
    { 12, 0x34, 1519, 0x0},
    { 8, 0x34, 1247, 0x0},
    { 16, 0x34, 1595, 0x0},
    { 28, 0x33, 2332, 0x0},
    { 48, 0x23, 1633, 0x0},
    { 8, 0x23, 1284, 0x0},
    { 10, 0x23, 1363, 0x0},
    { 10, 0x23, 1792, 0x0},
    { 0, 0x23, 1382, 0x0},
    { 0, 0x44, 1502, 0x0},
    { 0, 0x44, 1858, 0x0},
    { 0, 0x44, 4707, 0x0},
    // 555: Local time: 11:57:00 PM
    { 10, 0x34, 6402, 0x0},
    { 36, 0x34, 3924, 0x0},
    { 0, 0x44, 3774, 0x0},
    { 0, 0x44, 2184, 0x0},
    { 0, 0x44, 3803, 0x0},
    { 37, 0x45, 4064, 0x0},
    { 0, 0x37, 2015, 0x0},
    { 0, 0x37, 1160, 0x0},
    { 0, 0x34, 2147, 0x0},
    { 0, 0x45, 3776, 0x0},
    { 0, 0x34, 216, 0x0},
    { 0, 0x34, 186, 0x0},
    { 0, 0x34, 31, 0x0},
    { 0, 0x35, 38, 0x0},
    { 0, 0x35, 0, 0x0},
    // 570: Local time: 12:12:00 AM
    { 0, 0x35, 19, 0x0},
    { 0, 0x35, 13, 0x0},
    { 0, 0x34, 11, 0x0},
    { 0, 0x34, 574, 0x0},
    { 13, 0x52, 5344, 0x0},
    { 0, 0x51, 553, 0x0},
    { 0, 0x5f, 577, 0x0},
    { 0, 0x5f, 503, 0x0},
    { 0, 0x5f, 960, 0x0},
    { 0, 0x5f, 229, 0x0},
    { 0, 0x5e, 1502, 0x0},
    { 0, 0x5f, 608, 0x0},
    { 0, 0x5f, 1104, 0x0},
    { 0, 0x5f, 1232, 0x0},
    { 0, 0x5f, 634, 0x0},
    // 585: Local time: 12:27:00 AM
    { 0, 0x5f, 75, 0x0},
    { 0, 0x5f, 392, 0x0},
    { 0, 0x5f, 217, 0x0},
    { 0, 0x5f, 13, 0x0},
    { 0, 0x5f, 32, 0x0},
    { 0, 0x5f, 53, 0x0},
    { 0, 0x5f, 11, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 28, 0x0},
    { 0, 0x5f, 155, 0x0},
    { 0, 0x5f, 404, 0x0},
    { 0, 0x5f, 546, 0x0},
    { 0, 0x5f, 294, 0x0},
    { 0, 0x5f, 325, 0x0},
    { 0, 0x5f, 74, 0x0},
    // 600: Local time: 12:42:00 AM
    { 0, 0x5f, 435, 0x0},
    { 0, 0x5f, 692, 0x0},
    { 0, 0x5f, 121, 0x0},
    { 0, 0x5f, 346, 0x0},
    { 0, 0x5f, 74, 0x0},
    { 0, 0x5f, 399, 0x0},
    { 0, 0x60, 685, 0x0},
    { 0, 0x61, 538, 0x0},
    { 0, 0x61, 245, 0x0},
    { 0, 0x61, 368, 0x0},
    { 0, 0x50, 444, 0x0},
    { 0, 0x52, 720, 0x0},
    { 0, 0x51, 475, 0x0},
    { 0, 0x61, 556, 0x0},
    { 0, 0x5f, 553, 0x0},
    // 615: Local time: 12:57:01 AM
    { 0, 0x5f, 411, 0x0},
    { 0, 0x61, 569, 0x0},
    { 24, 0x33, 4308, 0x0},
    { 0, 0x43, 3926, 0x0},
    { 0, 0x43, 1093, 0x0},
    { 0, 0x33, 122, 0x0},
    { 0, 0x33, 74, 0x0},
    { 0, 0x33, 60, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 53, 0x0},
    { 0, 0x33, 22, 0x0},
    { 0, 0x33, 10, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 0, 0x0},
    // 630: Local time: 01:12:00 AM
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x33, 11, 0x0},
    { 0, 0x33, 0, 0x0},
    { 0, 0x34, 562, 0x0},
    { 0, 0x45, 796, 0x0},
    { 0, 0x23, 54, 0x0},
    { 0, 0x23, 296, 0x0},
    { 0, 0x33, 698, 0x0},
    { 0, 0x72, 522, 0x0},
    { 0, 0x73, 415, 0x0},
    { 0, 0x72, 491, 0x0},
    { 0, 0x50, 500, 0x0},
    { 0, 0x60, 464, 0x0},
    // 645: Local time: 01:27:00 AM
    { 0, 0x6f, 306, 0x0},
    { 0, 0x60, 319, 0x0},
    { 0, 0x60, 560, 0x0},
    { 0, 0x42, 380, 0x0},
    { 0, 0x52, 69, 0x0},
    { 0, 0x52, 11, 0x0},
    { 0, 0x52, 74, 0x0},
    { 0, 0x52, 660, 0x0},
    { 0, 0x50, 1226, 0x0},
    { 0, 0x6f, 186, 0x0},
    { 0, 0x6f, 454, 0x0},
    { 0, 0x6f, 1004, 0x0},
    { 0, 0x5f, 1249, 0x0},
    { 27, 0x6f, 1286, 0x0},
    { 0, 0x5f, 631, 0x0},
    // 660: Local time: 01:43:00 AM
    { 0, 0x5f, 392, 0x0},
    { 0, 0x5f, 309, 0x0},
    { 0, 0x5f, 337, 0x0},
    { 0, 0x5f, 652, 0x0},
    { 0, 0x6f, 885, 0x0},
    { 0, 0x6f, 673, 0x0},
    { 0, 0x6f, 340, 0x0},
    { 0, 0x6f, 408, 0x0},
    { 0, 0x6f, 284, 0x0},
    { 0, 0x6f, 475, 0x0},
    { 0, 0x6f, 365, 0x0},
    { 0, 0x61, 624, 0x0},
    { 0, 0x60, 649, 0x0},
    { 0, 0x6f, 349, 0x0},
    { 0, 0x6f, 196, 0x0},
    // 675: Local time: 01:58:00 AM
    { 0, 0x5f, 297, 0x0},
    { 0, 0x6f, 291, 0x0},
    { 0, 0x6f, 649, 0x0},
    { 0, 0x6f, 16, 0x0},
    { 0, 0x6f, 87, 0x0},
    { 0, 0x6f, 69, 0x0},
    { 0, 0x5f, 902, 0x0},
    { 0, 0x5f, 230, 0x0},
    { 0, 0x5f, 217, 0x0},
    { 0, 0x5f, 187, 0x0},
    { 0, 0x5f, 498, 0x0},
    { 0, 0x5f, 473, 0x0},
    { 0, 0x5f, 318, 0x0},
    { 0, 0x5f, 241, 0x0},
    { 0, 0x5f, 140, 0x0},
    // 690: Local time: 02:13:00 AM
    { 0, 0x5f, 575, 0x0},
    { 0, 0x54, 4324, 0x0},
    { 0, 0x46, 2073, 0x0},
    { 0, 0x35, 3454, 0x0},
    { 0, 0x26, 3025, 0x0},
    { 0, 0x35, 6149, 0x0},
    { 0, 0x26, 7604, 0x0},
    { 0, 0x26, 6063, 0x0},
    { 0, 0x26, 6497, 0x0},
    { 0, 0x26, 10271, 0x0},
    { 18, 0x36, 3497, 0x0},
    { 0, 0x36, 109, 0x0},
    { 0, 0x36, 85, 0x0},
    { 0, 0x45, 608, 0x0},
    { 0, 0x42, 975, 0x0},
    // 705: Local time: 02:28:00 AM
    { 0, 0x42, 1398, 0x0},
    { 0, 0x43, 1031, 0x0},
    { 0, 0x33, 250, 0x0},
    { 0, 0x34, 3155, 0x0},
    { 0, 0x45, 4289, 0x0},
    { 0, 0x45, 6541, 0x0},
    { 11, 0x64, 5026, 0x0},
    { 0, 0x54, 5256, 0x0},
    { 0, 0x55, 10385, 0x0},
    { 8, 0x53, 5801, 0x0},
    { 0, 0x53, 6107, 0x0},
    { 0, 0x26, 4731, 0x0},
    { 0, 0x4c, 8120, 0x0},
    { 0, 0x2b, 347, 0x0},
    { 0, 0x3b, 0, 0x0},
    // 720: Local time: 02:43:00 AM
    { 0, 0x3b, 0, 0x0},
    { 0, 0x3b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    // 735: Local time: 02:58:00 AM
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    // 750: Local time: 03:13:00 AM
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x7f, 2618, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    // 765: Local time: 03:28:00 AM
    { 0, 0x65, 0, 0x0},
    { 0, 0x62, 278, 0x0},
    { 0, 0x61, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    // 780: Local time: 03:43:00 AM
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x51, 0, 0x0},
    { 0, 0x7e, 1010, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x29, 0, 0x0},
    { 0, 0x2a, 932, 0x0},
    { 0, 0x2a, 321, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 13, 0x0},
    // 795: Local time: 03:58:00 AM
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 28, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x6f, 113, 0x0},
    { 0, 0x6a, 1398, 0x0},
    { 0, 0x4a, 0, 0x0},
    { 0, 0x4a, 710, 0x0},
    { 0, 0x73, 518, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    // 810: Local time: 04:13:00 AM
    { 0, 0x63, 53, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x63, 0, 0x0},
    { 0, 0x29, 886, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    // 825: Local time: 04:28:00 AM
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x1b, 1475, 0x0},
    { 0, 0x61, 970, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x12, 346, 0x0},
    // 840: Local time: 04:43:00 AM
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    // 855: Local time: 04:59:00 AM
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x2d, 253, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    // 870: Local time: 05:14:00 AM
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    // 885: Local time: 05:29:00 AM
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 173, 0x0},
    { 0, 0x3d, 13, 0x0},
    { 0, 0x3d, 0, 0x0},
    // 900: Local time: 05:44:00 AM
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    // 915: Local time: 05:59:00 AM
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3e, 1036, 0x0},
    { 0, 0x11, 11, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x11, 0, 0x0},
    { 0, 0x1f, 947, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 14, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    // 930: Local time: 06:14:00 AM
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    // 945: Local time: 06:29:00 AM
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    // 960: Local time: 06:44:00 AM
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x43, 0, 0x0},
    { 0, 0x60, 987, 0x0},
    { 0, 0x6f, 60, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x5f, 914, 0x0},
    { 0, 0x12, 544, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x3f, 306, 0x0},
    { 0, 0x4f, 201, 0x0},
    // 975: Local time: 06:59:00 AM
    { 0, 0x5f, 1370, 0x0},
    { 0, 0x2, 692, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x12, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x13, 56, 0x0},
    { 0, 0x14, 34, 0x0},
    // 990: Local time: 07:14:00 AM
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 69, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 25, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 20, 0x0},
    { 0, 0x23, 0, 0x0},
    { 0, 0x23, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    // 1005: Local time: 07:29:00 AM
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x24, 0, 0x0},
    { 0, 0x16, 4090, 0x0},
    { 14, 0x39, 4240, 0x0},
    { 0, 0x36, 0, 0x0},
    { 0, 0x36, 0, 0x0},
    { 0, 0x67, 873, 0x0},
    { 0, 0x8b, 1371, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 372, 0x0},
    { 0, 0x60, 0, 0x0},
    // 1020: Local time: 07:44:00 AM
    { 0, 0x60, 0, 0x0},
    { 0, 0x61, 0, 0x0},
    { 0, 0x7f, 2185, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 10, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x69, 865, 0x0},
    { 0, 0x79, 424, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    { 0, 0x74, 0, 0x0},
    // 1035: Local time: 07:59:00 AM
    { 0, 0x7b, 618, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    // 1050: Local time: 08:14:00 AM
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 488, 0x0},
    { 0, 0x54, 1312, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x69, 1648, 0x0},
    { 0, 0x6a, 757, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x4a, 867, 0x0},
    { 0, 0x19, 0, 0x0},
    // 1065: Local time: 08:29:00 AM
    { 0, 0x19, 0, 0x0},
    { 0, 0x19, 119, 0x0},
    { 0, 0x19, 0, 0x0},
    { 0, 0x19, 0, 0x0},
    { 0, 0x19, 0, 0x0},
    { 0, 0x3a, 800, 0x0},
    { 12, 0x5e, 3825, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 50, 0x0},
    { 0, 0x5f, 16, 0x0},
    { 0, 0x5f, 11, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    // 1080: Local time: 08:44:00 AM
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5e, 11, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 91, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5f, 53, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    { 0, 0x5f, 0, 0x0},
    // 1095: Local time: 08:59:00 AM
    { 0, 0x5f, 0, 0x0},
    { 0, 0x85, 7004, 0x0},
    { 0, 0x3a, 3996, 0x0},
    { 0, 0x4c, 1963, 0x0},
    { 0, 0x5f, 608, 0x0},
    { 0, 0x5e, 343, 0x0},
    { 0, 0x5e, 10, 0x0},
    { 0, 0x5e, 143, 0x0},
    { 0, 0x5e, 506, 0x0},
    { 0, 0x64, 2843, 0x0},
    { 0, 0x55, 0, 0x0},
    { 0, 0x55, 108, 0x0},
    { 0, 0x55, 50, 0x0},
    { 0, 0x55, 26, 0x0},
    { 0, 0x55, 32, 0x0},
    // 1110: Local time: 09:14:00 AM
    { 0, 0x55, 0, 0x0},
    { 0, 0x54, 1515, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 0, 0x0},
    { 0, 0x54, 340, 0x0},
    { 0, 0x55, 621, 0x0},
    { 0, 0x65, 1593, 0x0},
    { 0, 0x55, 1690, 0x0},
    { 0, 0x55, 1370, 0x0},
    { 0, 0x65, 261, 0x0},
    { 11, 0x54, 396, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 96, 0x0},
    // 1125: Local time: 09:29:00 AM
    { 0, 0x64, 71, 0x0},
    { 0, 0x66, 2544, 0x0},
    { 0, 0x66, 196, 0x0},
    { 0, 0x66, 2598, 0x0},
    { 0, 0x75, 6035, 0x1},
    { 0, 0x7b, 1178, 0x0},
    { 0, 0x6b, 3589, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    // 1140: Local time: 09:44:00 AM
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 38, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 0, 0x1},
    { 0, 0x6b, 196, 0x1},
    { 0, 0x6c, 0, 0x1},
    { 0, 0x6c, 0, 0x1},
    { 0, 0x6c, 0, 0x1},
    { 0, 0x6c, 0, 0x1},
    { 0, 0x6c, 57, 0x1},
    { 0, 0x6c, 13, 0x1},
    { 0, 0x7e, 2641, 0x0},
    { 0, 0x45, 8307, 0x0},
    { 0, 0x45, 8125, 0x0},
    // 1155: Local time: 09:59:00 AM
    { 7, 0x34, 5766, 0x0},
    { 20, 0x24, 1289, 0x0},
    { 0, 0x34, 435, 0x0},
    { 0, 0x34, 467, 0x0},
    { 14, 0x23, 4718, 0x0},
    { 0, 0x34, 2419, 0x0},
    { 0, 0x33, 1989, 0x0},
    { 0, 0x33, 1050, 0x0},
    { 0, 0x23, 51, 0x0},
    { 0, 0x33, 1786, 0x0},
    { 26, 0x34, 8946, 0x0},
    { 117, 0x24, 4815, 0x0},
    { 14, 0x34, 3096, 0x0},
    { 0, 0x35, 1247, 0x0},
    { 12, 0x65, 2116, 0x0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

